<template>
    <section class="news">
        <h2 class="news__title">Новости</h2>

        <div class="news__wrapper">
            <article v-for="news in news_list" class="news__article" :key="`news__${news.pub_date}`">
                <h3>{{news.news_title}}</h3>
                <p>{{news.news_description}}</p>
                <a href="#" class="btn btn-outline-primary">Читать</a>
            </article>
        </div>
    </section>
</template>

<script>
export default {
    data() {
        return {
            news_list: [],
        }
    },
    name: "News",
    methods: {
        getNewsList(){
            fetch('http://localhost:8000/api/list-news')
            .then(response => response.json())
            .then(json => this.news_list.push(...json))
        }
    },
    created() {
        this.getNewsList();
    }
}
</script>


<style lang="scss">
    @use "../assets/scss/news.scss";
</style>